package com.adventurer_engine.util;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpw.mods.fml.common.event.FMLPreInitializationEvent;
import java.io.PrintStream;
import java.util.Calendar;

public class DebugGadgets {
  public static PrintStream debugFile;
  
  private static final boolean enable = true;
  
  public static void debugInfo(String info) {
    debugFile.printf("[%s]", new Object[] { Calendar.getInstance().getTime() });
    debugFile.println(info);
  }
  
  public static void hexDump(byte[] data) {
    int i = 0;
    debugFile.printf("[%s]", new Object[] { Calendar.getInstance().getTime() });
    for (byte b : data) {
      debugFile.printf("%02x ", new Object[] { Byte.valueOf(b) });
      i++;
      if (i % 32 == 0 && i != 0) {
        debugFile.println();
        debugFile.printf("[%s]", new Object[] { Calendar.getInstance().getTime() });
      } 
    } 
  }
  
  public static void initDebugFile(FMLPreInitializationEvent event) {
    try {
      debugFile = new PrintStream(event.getModConfigurationDirectory().getParentFile().getParentFile().getPath() + "\\rce_debug.log");
      debugInfo("First Message");
    } catch (Exception exception) {}
  }
}
